# Google Mobile Ads Mediation of AppLovin for Flutter

[![gma_mediation_applovin](https://github.com/googleads/googleads-mobile-flutter/actions/workflows/google_mobile_ads.yaml/badge.svg)](https://github.com/googleads/googleads-mobile-flutter/actions/workflows/google_mobile_ads.yaml)

This repository contains the source code for the Mediation AppLovin Flutter
plugin to be used with the Google Mobile Ads plugin. It enables mediation of the
AppLovin Ad Network through the Google Mobile Ads SDK.

This plugin use the [Pigeon Flutter plugin](https://pub.dev/packages/pigeon) to
generate the classes that bridge the dart layer with each platform's code.
To add or modify the third party sdk, use the classes in the pigeons folder
following [this guide](https://github.com/flutter/packages/blob/main/packages/pigeon/example/README.md).

## Documentation
For instructions on how to use with the google_mobile_ads plugin, refer to the
developer guide for [AppLovin](https://developers.google.com/admob/flutter/mediation/applovin).

## Downloads

See [pub.dev](https://pub.dev/packages/gma_mediation_applovin/versions) for the
latest releases of the plugin.

## Suggesting improvements

To file bugs, make feature requests, or to suggest other improvements, please
use [github's issue tracker](https://github.com/googleads/googleads-mobile-flutter/issues).


## Other resources

* [AdMob help center](https://support.google.com/admob/?hl=en#topic=7383088)
* [Ad Manager help center](https://support.google.com/admanager/?hl=en#topic=7505988)

## License

[Apache 2.0 License](http://www.apache.org/licenses/LICENSE-2.0.html)